package com.rv.tourism.adapter;
import android.widget.ImageView;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.ruiwenliu.wrapper.util.glide.GlideManager;
import com.rv.tourism.R;
import com.rv.tourism.bean.BeanPopularBrigade;

/**
 *热门游 adapter
 */
public class PopularBrigadeAdapter extends BaseQuickAdapter<BeanPopularBrigade.DataBean, BaseViewHolder> {
    public PopularBrigadeAdapter() {
        super(R.layout.rv_item_popular_brigade);
    }

    @Override
    protected void convert(BaseViewHolder helper, BeanPopularBrigade.DataBean item) {
        GlideManager.getInstance(mContext).loadRoundImage(item.getImg(),  (ImageView)helper.getView(R.id.iv_icon),8);
         helper.setText(R.id.tv_hot,item.getName());
    }
}
